;	@(#)exosspace.s	1.1 - 6/29/90 (SCO Canada)

	TITLE	$exosspace

	.386

INCLUDE exosconfig.h

EXOS_MEM_SIZE	equ	16384

DGROUP	GROUP	CONST, _BSS, _DATA
PUBLIC  _nex205unit
PUBLIC  _ex205device
_DATA	SEGMENT  DWORD USE32 PUBLIC 'DATA'
_nex205unit	DD	EXOS_CNTLS
IFDEF	EXOS_UNITS
	; Board 0
_ex205device	DW	00H		; Board Index
	DW	EXOS_0_VECT	; Interrupt Vector Number
	DW	EXOS_0_SIOA	; I/O Base Address
	ORG	$+2
	DD	EXOS_0_SCMA	; Shared Memory Base Address
	DD	EXOS_MEM_SIZE	; Shared Memory Size
	DW	EXOS_UNITS	; Number of Minor Devices Allowed
	ORG	$+174
endif
IFDEF	EXOS1_UNITS
	; Board 1
	DW	01H		; Board Index
	DW	EXOS1_0_VECT	; Interrupt Vector Number
	DW	EXOS1_0_SIOA	; I/O Base Address
	ORG	$+2
	DD	EXOS1_0_SCMA	; Shared Memory Base Address
	DD	EXOS_MEM_SIZE	; Shared Memory Size
	DW	EXOS1_UNITS	; Number of Minor Devices Allowed
	ORG	$+174
endif
IFDEF	EXOS2_UNITS
	; Board 2
	DW	02H		; Board Index
	DW	EXOS2_0_VECT	; Interrupt Vector Number
	DW	EXOS2_0_SIOA	; I/O Base Address
	ORG	$+2
	DD	EXOS2_0_SCMA	; Shared Memory Base Address
	DD	EXOS_MEM_SIZE	; Shared Memory Size
	DW	EXOS2_UNITS	; Number of Minor Devices Allowed
	ORG	$+174
endif
IFDEF	EXOS3_UNITS
	; Board 3
	DW	03H		; Board Index
	DW	EXOS3_0_VECT	; Interrupt Vector Number
	DW	EXOS3_0_SIOA	; I/O Base Address
	ORG	$+2
	DD	EXOS3_0_SCMA	; Shared Memory Base Address
	DD	EXOS_MEM_SIZE	; Shared Memory Size
	DW	EXOS3_UNITS	; Number of Minor Devices Allowed
	ORG	$+174
endif

_DATA      ENDS
_BSS	SEGMENT  DWORD USE32 PUBLIC 'BSS'
_BSS      ENDS
CONST	SEGMENT  DWORD USE32 PUBLIC 'CONST'
CONST      ENDS
_TEXT	SEGMENT  DWORD USE32 PUBLIC 'CODE'
	ASSUME   CS: _TEXT, DS: DGROUP, SS: DGROUP, ES: DGROUP
_TEXT	ENDS
END
